<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2011 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: comments_management.php
| Author: Khalid545
| URL: http://khalidb.co.cc/
| E-Mail: khalidd545@gmail.com
| Original file: comments.php (Digitanium)
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../maincore.php";

if (!checkrights("CM") || !defined("iAUTH") || $_GET['aid'] != iAUTH) { redirect(BASEDIR."index.php"); }

define("AJAX", !empty($_SERVER['HTTP_X_REQUESTED_WITH']) && strtolower($_SERVER['HTTP_X_REQUESTED_WITH']) == 'xmlhttprequest');
if (!AJAX) {
	require_once THEMES."templates/admin_header.php";
	add_to_head("<link rel='stylesheet' href='comments.css' type='text/css' media='screen' />\n");
	add_to_footer("<script type='text/javascript' src='comments.js'></script>\n");
}

include INFUSIONS."comments_management/infusion_db.php";

if (file_exists(INFUSIONS."comments_management/locale/".$settings['locale'].".php")) {
	include INFUSIONS."comments_management/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."comments_management/locale/English.php";
}

switch($locale['CM_DIRECTION']) {
	case "ltr":
		$align[1] = "align-left";
		$align[2] = "align-right";
		break;
	default:
		$align[1] = "align-right";
		$align[2] = "align-left";
		break;
}

$items_per_page 	= 30;
$comments_per_page 	= 10;
$where				= "";
$get				= $aidlink;
$ptitle				= $locale['CM_401'];
$bcrumb				= "";
$locale['switch']	= $locale['CM_456'];
$expr				= "DESC";
$orderby			= "comment_datestamp";
$status				= "";
$mime				= "text/plain";

if (isset($_GET['status'])) {
	switch($_GET['status']) {
		case "sn":   $message = $locale['sn'];   break;
		case "su":   $message = $locale['su'];   break;
		case "del":  $message = $locale['del'];  break;
		case "sho":  $message = $locale['sho'];  break;
		case "hid":  $message = $locale['hid'];  break;
		case "mdel": $message = $locale['mdel']; break;
		case "msho": $message = $locale['msho']; break;
		case "mhid": $message = $locale['mhid']; break;
	}
	if (isset($message)) {	echo "<div id='close-message'><div class='admin-message'>".$message."</div></div>\n"; }
}

$acrs = array('N', 'A', 'P', 'C', 'D');
$title = array('N' => 'subject', 'A' => 'subject', 'P' => 'title', 'C' => 'title', 'D' => 'title');
$db = array('N' => 'news', 'A' => 'articles', 'P' => 'photos', 'C' => 'custom_pages', 'D' => 'downloads');
$prefix = array('N' => 'news_', 'A' => 'article_', 'P' => 'photo_', 'C' => 'page_', 'D' => 'download_');
$result = dbquery("SELECT * FROM ".DB_CTYPES);
if (dbrows($result)) {
	while ($data = dbarray($result)) {
		$locale['CM_442'][$data['ctype_acr']] = $data['ctype_name'];
		$locale['CM_443'][$data['ctype_acr']] = $data['ctype_item'];
		$prefix[$data['ctype_acr']] = $data['ctype_pre'];
		$db[$data['ctype_acr']] = $data['ctype_db'];
		$title[$data['ctype_acr']] = $data['ctype_title'];
		$acrs[] = $data['ctype_acr'];
	}
}

if (isset($_GET['ctype']) && preg_check("/^[0-9A-Z]+$/i", $_GET['ctype'])) {
	define("TYPE", $_GET['ctype']);
	$where = "WHERE comment_type='".TYPE."'";
	$get .= "&amp;ctype=".TYPE;
	$ptitle .= " - ".(in_array(TYPE, $acrs) ? $locale['CM_442'][TYPE] : $locale['CM_459']);
	$bcrumb .= "<a href='".FUSION_SELF.$aidlink."'>".$locale['CM_401']."</a> &raquo; ".(in_array(TYPE, $acrs) ? "<a href='".FUSION_SELF.$get."'>".$locale['CM_442'][TYPE]."</a>" : $locale['CM_459']);
	$locale['switch'] = $locale['CM_457'];
	if (isset($_GET['cid']) && isnum($_GET['cid'])) {
		$where .= " AND comment_item_id='".$_GET['cid']."' ";
		$get .= "&amp;cid=".$_GET['cid'];
		define("ITEM", $_GET['cid']);
		if (in_array(TYPE, $acrs)) {
			$result = dbquery("SELECT ".$prefix[TYPE].$title[TYPE]." AS title FROM ".DB_PREFIX.$db[TYPE]." WHERE ".$prefix[TYPE]."id='".ITEM."'");
			if (dbrows($result)) {
				$data = dbarray($result);
				$ptitle .= " - ".$data['title'];
				$bcrumb .= " &raquo; <a href='".FUSION_SELF.$get."'>".$data['title']."</a>";
			}
		} else {
			$bcrumb .= " &raquo; <a href='".FUSION_SELF.$get."'>".$locale['CM_459']."</a>";
		}
	}
}

$lj = ""; $fields = "";
if (!defined("TYPE")) {
	foreach($acrs as $acr) {
		$fields .= ", ".$prefix[$acr].$title[$acr];
		$lj .= " LEFT JOIN ".DB_PREFIX.$db[$acr]." ON tc.comment_item_id=".$prefix[$acr]."id";
	}
} else {
	$fields = ", ".$prefix[TYPE].$title[TYPE];
	$lj .= " LEFT JOIN ".DB_PREFIX.$db[TYPE]." ON tc.comment_item_id=".$prefix[TYPE]."id";
}

if (!isset($_GET['rowstart']) || !isnum($_GET['rowstart'])) { $_GET['rowstart'] = 0; }
if (isset($_GET['orderby']) && in_array($_GET['orderby'], array("comment_name", "comment_type", "comment_ip", "comment_hidden"))) {
	$orderby = $_GET['orderby'];
	$get .= "&amp;orderby=".$orderby;
}
if (isset($_GET['expr']) && $_GET['expr']=="ASC") {
	$expr = "ASC";
	$get .= "&amp;expr=".$expr;
}
if (isset($_GET['cpp']) && isnum($_GET['cpp'])) {
	$comments_per_page = $_GET['cpp'];
	$get .= "&amp;cpp=".$comments_per_page;
}

if ((isset($_GET['comment_id']) && isnum($_GET['comment_id']))) {
	if (isset($_POST['save_comment'])) {
		$comment_message = stripinput($_POST['comment_message']);
		if (AJAX) {
			$comment_message = iconv("utf-8", $locale['charset'], $comment_message);
			$mime = "application/json";
		}
		$result = dbquery("UPDATE ".DB_COMMENTS." SET comment_message='$comment_message' WHERE comment_id='".$_GET['comment_id']."'");
		$status = "su";
		if (AJAX) $status = '{"status":"su", "message":"'.nl2br(parseubb(parsesmileys($comment_message))).'"}';
	} elseif (isset($_POST['add_comment'])) {
		$comment_message = stripinput($_POST['comment_message']);
		if (AJAX) $comment_message = iconv("utf-8", $locale['charset'], $comment_message);
		$result = dbquery("SELECT comment_type, comment_item_id FROM ".DB_COMMENTS." WHERE comment_id='".$_GET['comment_id']."'");
		if (dbrows($result)) {
			$data = dbarray($result);
			$time = time();
			$result = dbquery(
				"INSERT INTO ".DB_COMMENTS." (
					comment_item_id, comment_type, comment_name, comment_message, comment_datestamp,
					comment_ip, comment_ip_type, comment_hidden
				) VALUES (
					'".$data['comment_item_id']."', '".$data['comment_type']."', '".$userdata['user_id']."', '".$comment_message."', '".$time."',
					'".USER_IP."', '".USER_IP_TYPE."', '0'
				)"
			);
			$comment_id = mysql_insert_id();
			$comment_time = showdate("longdate", $time);
			$status = "sn";
			if (AJAX) {
				$mime = "application/json";
				$status = '{"status":"sn", "id":"'.$comment_id.'", "time":"'.$comment_time.'", "message":"'.nl2br(parseubb(parsesmileys($comment_message))).'"}';
			}
		}
	} elseif (isset($_GET['action'])) {
		if ($_GET['action'] == "dele") {
			$result = dbquery("DELETE FROM ".DB_COMMENTS." WHERE comment_id='".$_GET['comment_id']."'");
			$status = "del";
		} elseif ($_GET['action'] == "show") {
			$result = dbquery("UPDATE ".DB_COMMENTS." SET comment_hidden='0' WHERE comment_id='".$_GET['comment_id']."'");
			$status = "sho";
		} elseif ($_GET['action'] == "hide") {
			$result = dbquery("UPDATE ".DB_COMMENTS." SET comment_hidden='1' WHERE comment_id='".$_GET['comment_id']."'");
			$status = "hid";
		} elseif ($_GET['action'] == "edit" || $_GET['action'] == "repl") {
			$result = dbquery("SELECT * FROM ".DB_COMMENTS." tc
					LEFT JOIN ".DB_USERS." tu ON tc.comment_name=tu.user_id
					WHERE comment_id='".$_GET['comment_id']."'
				");
			if (dbrows($result)) {
				require_once INCLUDES."bbcode_include.php";
				$data = dbarray($result);
				opentable($_GET['action'] == "edit" ? $locale['CM_400'] : $locale['CM_402']);
				$name = "save_comment";
				$comment_message = $data['comment_message'];
				echo "<form name='inputform' method='post' action='".FUSION_SELF.$get."&amp;comment_id=".$_GET['comment_id']."'>\n";
				if ($_GET['action'] == "repl") {
					$name = "add_comment";
					$comment_message = "";
				}
				echo "<table cellpadding='0' cellspacing='0' width='400' class='center'>\n<tr>\n";
				echo "<td align='center' class='tbl'><textarea name='comment_message' cols='60' rows='5' class='textbox' style='width:360px'>".$comment_message."</textarea><br />\n";
				echo display_bbcodes("360px", "comment_message")."</td>\n";
				echo "</tr>\n<tr>\n";
				echo "<td align='center' class='tbl'><input type='submit' name='".$name."' value='".$locale['CM_421']."' class='button' /></td>\n";
				echo "</tr>\n</table>\n</form>\n";
				closetable();
			}
		}
	}
	if (!AJAX && $status) redirect(FUSION_SELF.$get."&status=".$status);
}

if (AJAX) {
	header("Content-Type: ".$mime."; charset=".$locale['charset']."\n");
	ob_end_clean();
	die($status);
}

if (isset($_GET['sel_comments']) && is_array($_GET['sel_comments']) && count($_GET['sel_comments']) && ((isset($_GET['baction']) && $_GET['baction'] != "-1") || (isset($_GET['baction2']) && $_GET['baction2'] != "-1"))) {
	$comments = "";
	foreach ($_GET['sel_comments'] as $comment_id) {
		if (isnum($comment_id)) { $comments .= ($comments ? "," : "").$comment_id; }
	}
	if ($_GET['baction'] != "-1") {
		$action = $_GET['baction'];
	} else {
		$action = $_GET['baction2'];
	}
	if ($comments) {
		switch($action) {
			case "hide":
				$result = dbquery("UPDATE ".DB_COMMENTS." SET comment_hidden='1' WHERE comment_id IN(".$comments.")");
				redirect(FUSION_SELF.$get."&status=mhid");
			break;
			case "show":
				$result = dbquery("UPDATE ".DB_COMMENTS." SET comment_hidden='0' WHERE comment_id IN(".$comments.")");
				redirect(FUSION_SELF.$get."&status=msho");
			break;
			case "dele":
				$result = dbquery("DELETE FROM ".DB_COMMENTS." WHERE comment_id IN(".$comments.")");
				redirect(FUSION_SELF.$get."&status=mdel");
			break;
		}
	}
}

opentable($ptitle);
if (!isset($_GET['show'])) {
	$rows = dbcount("(comment_id)", DB_COMMENTS." ".$where);
	$result = dbquery(
		"SELECT tc.*, tu.user_name, tu.user_id, tu.user_status, tu.user_avatar".$fields." FROM ".DB_COMMENTS." tc
		LEFT JOIN ".DB_USERS." tu ON tc.comment_name=tu.user_id
		".$lj."
		".$where." ORDER BY ".$orderby." ".$expr."
		LIMIT ".$_GET['rowstart'].",$comments_per_page"
	);
	if (dbrows($result)) {
		echo "<div class='navigation ".$align[1]."'>".$bcrumb."</div>\n";
		if (!defined("ITEM") && (!defined("TYPE") || in_array(TYPE, $acrs))) echo "<div class='switch_view ".$align[2]."'><a href='".FUSION_SELF.$get."&show=list'>[".$locale['switch']."]</a></div>\n";
		echo "<form name='comopts' class='".$locale['CM_DIRECTION']."-lyt' id='comopts' method='get' action='".FUSION_SELF."'>\n";
		echo "<input id='aid' type='hidden' name='aid' value='".str_replace("?aid=", "", $aidlink)."' />\n";
		if (defined("TYPE")) echo "<input id='ctype' type='hidden' name='ctype' value='".TYPE."' />\n";
		if (defined("ITEM")) echo "<input id='cid' type='hidden' name='cid' value='".ITEM."' />\n";
		echo "<div class='par-table'>\n";
		echo "<div class='actions ".$align[2]."'>\n";
		echo "<select class='textbox' name='baction'>\n";
		echo "<option selected='selected' value='-1'>".$locale['CM_438']."</option>\n";
		echo "<option value='hide'>".$locale['CM_437']."</option>\n";
		echo "<option value='show'>".$locale['CM_436']."</option>\n";
		echo "<option value='dele'>".$locale['CM_431']."</option>\n";
		echo "</select>\n";
		echo "<input type='submit' value='".$locale['CM_439']."' class='button' name='doaction' />\n";
		echo "</div>\n";
		echo "<div class='filters ".$align[1]."'>\n";
		echo $locale['CM_453']."\n";
		echo "<select class='textbox' name='orderby'>\n";
		echo "<option value='comment_datestamp'".($orderby == "comment_datestamp" ? " selected='selected'" : "").">".$locale['CM_449']."</option>\n";
		echo "<option value='comment_type'".($orderby == "comment_type" ? " selected='selected'" : "").">".$locale['CM_447']."</option>\n";
		echo "<option value='comment_name'".($orderby == "comment_name" ? " selected='selected'" : "").">".$locale['CM_440']."</option>\n";
		echo "<option value='comment_ip'".($orderby == "comment_ip" ? " selected='selected'" : "").">".$locale['CM_432']."</option>\n";
		echo "<option value='comment_hidden'".($orderby == "comment_hidden" ? " selected='selected'" : "").">".$locale['CM_458']."</option>\n";
		echo "</select>\n";
		echo "<select class='textbox' name='expr'>\n";
		echo "<option value='DESC'".($expr == "DESC" ? " selected='selected'" : "").">".$locale['CM_451']."</option>\n";
		echo "<option value='ASC'".($expr == "ASC" ? " selected='selected'" : "").">".$locale['CM_452']."</option>\n";
		echo "</select>\n";
		echo $locale['CM_460']."\n";
		echo "<input type='text' value='".$comments_per_page."' class='textbox cpp' name='cpp' />\n";
		echo "<input type='submit' value='".$locale['CM_439']."' class='button filterbtn' name='' />\n";
		echo "</div>\n";
		echo "</div>\n";
		echo "<table cellspacing='0' cellpadding='0' width='100%' class='comments_list tbl-border'>\n<thead>\n<tr>\n";
		echo $thead = 
			"<th class='tbl2' style='text-align:center;width:2.2em;'><input type='checkbox' class='cball cb' /></th>\n"
			."<th class='tbl2' width='20%'>".$locale['CM_440']."</th>\n"
			."<th class='tbl2'>".$locale['CM_445']."</th>\n"
			.(!defined("ITEM") && (!defined("TYPE") || in_array(TYPE, $acrs)) ? "<th class='tbl2' width='15%'>".($locale['CM_446'])."</th>\n" : "");
		echo "</tr>\n</thead>\n<tfoot>\n<tr>\n";
		echo $thead;
		echo "</tr>\n</tfoot>\n<tbody>\n";
		while ($data = dbarray($result)) {
			$state = ($data['comment_hidden'] == '1' ? " tbl2" : "tbl1");
			echo "<tr id='comment-".$data['comment_id']."' class='comment'>\n";
			echo "<td class='$state' style='text-align:center;width:2.2em;'><input class='cb' type='checkbox' name='sel_comments[]' value='".$data['comment_id']."' /></td>\n";
			echo "<td class='$state user_info'>\n<span class='comment-name'>";
			if ($data['user_name']) {
				$avatar = ($data['user_avatar'] ? IMAGES."avatars/".$data['user_avatar'] : IMAGES."avatars/noavatar50.png");
				echo "<img width='32' height='32' class='avatar' src='".$avatar."' alt='' />\n";
				echo profile_link($data['user_id'], $data['user_name'], $data['user_status']);
			} else {
				echo "<img width='32' height='32' class='avatar' src='".IMAGES."avatars/noavatar50.png"."' alt='' />\n";
				echo $data['comment_name'];
			}
			echo "</span>\n<br /><strong>".$data['comment_ip']."</strong>\n</td>\n";
			echo "<td class='$state'>\n";
			echo "<div class='small submit_date'>".$locale['global_071']."<span class='date'>".showdate("longdate", $data['comment_datestamp'])."</span></div>\n";
			echo "<p class='comment_html'>".nl2br(parseubb(parsesmileys($data['comment_message'])))."</p>\n";
			echo "<p class='comment_bb' style='display:none;'>".$data['comment_message']."</p>\n";
			echo "<div class='small options'>\n";
			echo "<span class='com_edit'><a id='edit".$data['comment_id']."' href='".FUSION_SELF.$get."&amp;action=edit&amp;comment_id=".$data['comment_id']."'>".$locale['CM_430']."</a></span>\n";
			echo "<span class='com_repl'> | <a id='hide".$data['comment_id']."' href='".FUSION_SELF.$get."&amp;action=repl&amp;comment_id=".$data['comment_id']."'>".$locale['CM_435']."</a></span>\n";
			echo "<span class='com_hide'> | <a id='hide".$data['comment_id']."' href='".FUSION_SELF.$get."&amp;action=hide&amp;comment_id=".$data['comment_id']."'>".$locale['CM_437']."</a></span>\n";
			echo "<span class='com_show'> | <a id='show".$data['comment_id']."' href='".FUSION_SELF.$get."&amp;action=show&amp;comment_id=".$data['comment_id']."'>".$locale['CM_436']."</a></span>\n";
			echo "<span class='com_dele'> | <a id='dele".$data['comment_id']."' href='".FUSION_SELF.$get."&amp;action=dele&amp;comment_id=".$data['comment_id']."'>".$locale['CM_431']."</a></span>\n";
			echo "</div>\n</td>\n";
			foreach ($acrs as $acr) {
				if ($data[$prefix[$acr].$title[$acr]]) {
					$data['title'] = $data[$prefix[$acr].$title[$acr]];
					break;
				}
			}
			if (!defined("ITEM")) {
				if (in_array($data['comment_type'], $acrs)) {
					echo "<td class='$state'>\n".(!defined("TYPE") ? $locale['CM_447'].": <a href='".FUSION_SELF.$get."&amp;ctype=".$data['comment_type']."'>".$locale['CM_442'][$data['comment_type']]."</a>\n<br />" : "").$locale['CM_443'][$data['comment_type']].": <a href='".FUSION_SELF.$get."&amp;ctype=".$data['comment_type']."&amp;cid=".$data['comment_item_id']."'>".$data['title']."</a>\n</td>\n";
				} else {
					echo "<td class='$state'>\n".(!defined("TYPE") ? $locale['CM_447'].": <a href='".FUSION_SELF.$get."&amp;ctype=".$data['comment_type']."'>".$locale['CM_459']."</a>\n<br />" : "")."<a href='".FUSION_SELF.$get."&amp;ctype=".$data['comment_type']."&amp;cid=".$data['comment_item_id']."'>".$locale['CM_448']."</a>\n</td>\n";
				}
			}
			echo "</tr>\n";
		}
		echo "<tr id='ajform' style='display:none;'><td colspan='".(!defined("ITEM") ? "4" : "3")."'>\n";
		echo "<textarea name='' cols='60' rows='5' class='textbox'></textarea><br />\n";
		require_once INCLUDES."bbcode_include.php";
		if (!$bbcode_cache) { cache_bbcode(); }
		$key = array_search("color", $bbcode_cache);
		if ($key !== FALSE) unset($bbcode_cache[$key]);
		$key = array_search("bcolor", $bbcode_cache);
		if ($key !== FALSE) unset($bbcode_cache[$key]);
		echo display_bbcodes("100%", "comment_message", "comopts")."\n";
		echo "<input class='comment_id' type='hidden' name='' value='' />\n";
		echo "<input type='submit' name='save_comment' value='".$locale['CM_430']."' class='button editbtn ".$align[1]."' />\n";
		echo "<input type='submit' name='save_comment' value='".$locale['CM_454']."' class='button replbtn ".$align[1]."' />\n";
		echo "<input type='submit' name='cancel' value='".$locale['CM_455']."' class='button cnclbtn ".$align[2]."' />\n";
		echo "</td>\n</tr>\n";
		echo "</tbody>\n</table>\n";
		echo "<div id='user_info' style='display:none;'>\n<span class='comment-name'>\n";
		$avatar = ($userdata['user_avatar'] ? IMAGES."avatars/".$userdata['user_avatar'] : IMAGES."avatars/noavatar50.png");
		echo "<img width='32' height='32' class='avatar' src='".$avatar."' alt='' />\n";
		echo profile_link($userdata['user_id'], $userdata['user_name'], $userdata['user_status']);
		echo "</span>\n<br />".$locale['CM_432'].": <strong>".USER_IP."</strong>\n</div>\n";
		echo "<div class='par-table'>\n";
		echo "<div class='".$align[1]."'><a href='types_management.php".$aidlink."'>".$locale['CM_434']."</a></div>\n";
		echo "<div class='actions ".$align[2]."'>\n";
		echo "<select class='textbox' name='baction2'>\n";
		echo "<option selected='selected' value='-1'>".$locale['CM_438']."</option>\n";
		echo "<option value='hide'>".$locale['CM_437']."</option>\n";
		echo "<option value='show'>".$locale['CM_436']."</option>\n";
		echo "<option value='dele'>".$locale['CM_431']."</option>\n";
		echo "</select>\n";
		echo "<input type='submit' value='".$locale['CM_439']."' class='button' name='doaction2' />\n";
		echo "</div>\n";
		echo "</div>\n";
		echo "</form>\n";
		echo "<div id='confirmmsg' style='display:none'>".$locale['CM_433']."</div>\n";
		closetable();
		if ($rows > $comments_per_page) { echo "<div align='center' style=';margin-top:5px;'>\n".makepagenav($_GET['rowstart'],$comments_per_page,$rows,8,FUSION_SELF.$get."&amp;")."\n</div><br />\n"; }
	} else {
		echo "<div style='text-align:center'><br />".$locale['CM_441'][0]."<br /><br /></div>\n";
		closetable();
	}
} elseif (defined("TYPE")) {
	$rows = dbrows(dbquery("SELECT ti.".$prefix[TYPE].$title[TYPE].", tc.comment_item_id, count(".$prefix[TYPE]."id) AS comment_count FROM ".DB_PREFIX.$db[TYPE]." ti
			LEFT JOIN ".DB_COMMENTS." tc ON ti.".$prefix[TYPE]."id=tc.comment_item_id
			WHERE comment_type='".TYPE."' GROUP BY ".$prefix[TYPE].$title[TYPE]));
	$result = dbquery("SELECT ti.".$prefix[TYPE].$title[TYPE].", tc.comment_item_id, count(".$prefix[TYPE]."id) AS comment_count FROM ".DB_PREFIX.$db[TYPE]." ti
			LEFT JOIN ".DB_COMMENTS." tc ON ti.".$prefix[TYPE]."id=tc.comment_item_id
			WHERE comment_type='".TYPE."' GROUP BY ".$prefix[TYPE].$title[TYPE]." ORDER BY comment_datestamp DESC
			LIMIT ".$_GET['rowstart'].",$items_per_page");
	if (dbrows($result)) {
		$i = 0;
		echo "<table align='center' cellpadding='0' cellspacing='1' width='50%' class='tbl-border'>\n";
		echo "<tr><td width='90%' class='tbl2'>".$locale['CM_443'][TYPE]."</td><td width='10%' class='tbl2' align='center'>".$locale['CM_444']."</td></tr>\n";
		while ($data = dbarray($result)) {
			echo "<tr><td class='tbl".($i%2+1)."'><a href='".FUSION_SELF.$get."&cid=".$data['comment_item_id']."'>".$data[$prefix[TYPE].$title[TYPE]]."</a></td><td class='tbl".($i%2+1)."' align='center'>".$data['comment_count']."</td></tr>";
			$i++;
		}
		echo "</table>\n";
		closetable();
		if ($rows > $items_per_page) { echo "<div align='center' style=';margin-top:5px;'>\n".makepagenav($_GET['rowstart'],$items_per_page,$rows,3,FUSION_SELF.$aidlink."&amp;ctype=".$_GET['ctype']."&amp;")."\n</div><br />\n"; }
	} else {
		echo "<div style='text-align:center'><br />".$locale['CM_441'][0]."<br /><br /></div>\n";
		closetable();
	}
} else {
	$counter = 0; $columns = 4;
	$result = dbquery("SELECT comment_type, count(comment_id) AS comment_count FROM ".DB_COMMENTS." GROUP BY comment_type");
	if (dbrows($result)) {
		echo "<table cellpadding='0' cellspacing='0' width='100%'>\n<tr>\n";
		while($data = dbarray($result)) {
			if ($counter != 0 && ($counter % $columns == 0)) { echo "</tr>\n<tr>\n"; }
			if ($data['comment_count'] > 0) {
				$msg = ($data['comment_count'] > 1) ? $data['comment_count'].$locale['CM_441'][2] : $data['comment_count'].$locale['CM_441'][1];
			} else {
				$msg = $locale['CM_441'][0];
			}
			echo "<td align='center' width='20%' class='tbl'>";
			echo "<span class='small'><a href='".FUSION_SELF.$aidlink."&amp;ctype=".$data['comment_type']."'><img src='".ADMIN."images/shout.gif' alt='' style='border:0' /><br />\n".(in_array($data['comment_type'], $acrs) ? $locale['CM_442'][$data['comment_type']] : $locale['CM_459'])."</a><br />\n".$msg."</span>";
			echo "</td>\n";
			$counter++;
		}
		echo "</tr>\n</table>\n";
	} else {
		echo "<div style='text-align:center'><br />".$locale['CM_441'][0]."<br /><br /></div>\n";
	}
	closetable();
}

require_once THEMES."templates/footer.php";
?>